package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: TradeOutListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:51
 */
@Data
public class Nft041TradeOutListResp implements Serializable {
    /**
     * 交易信息总数
     */
    private Long total;
    /**
     * 交易信息列表
     */
    private List<TradeInfo> tradeList;

    private static final Nft041TradeOutListResp obj = new Nft041TradeOutListResp();
    public static Nft041TradeOutListResp getNew() {
        try {
            return (Nft041TradeOutListResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft041TradeOutListResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
